#pragma once

#include "CoreMinimal.h"
#include "MobileBaseUserWidget.h"
#include "Styling/SlateBrush.h"
#include "UMGAtlantaMatchConfigScreen.generated.h"

class UUMGAtlantaMatchConfigPageScroll;
class UHorizontalBox;
class UVerticalBox;
class UUMGBaseButtonWidget;
class UTextBlock;
class UMatchConfigTabsDataAsset;

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDUIVIEWSMOBILE_API UUMGAtlantaMatchConfigScreen : public UMobileBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UUMGAtlantaMatchConfigPageScroll* MatchConfigPageScroll;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UHorizontalBox* TabsBox;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UVerticalBox* BotsTabsBox;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UUMGBaseButtonWidget* BackButton;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UTextBlock* MatchConfigTitle;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UTextBlock* InventoryTitle;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UTextBlock* SelectedTabTitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UMatchConfigTabsDataAsset* TabsDataAsset;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSlateBrush SmallTabSeparation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSlateBrush BigTabSeparation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float TabsVerticalPadding;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float TabsHorizontalPadding;

protected:
	UFUNCTION(BlueprintCallable)
	void HandleBackButtonClicked();

public:
	UUMGAtlantaMatchConfigScreen();
};

FORCEINLINE uint32 GetTypeHash(const UUMGAtlantaMatchConfigScreen) { return 0; }
